Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.set
Class SynchronizedSortedSet

    java.lang.Object
      org.apache.commons.collections.collection.SynchronizedCollection
          org.apache.commons.collections.set.SynchronizedSortedSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set, java.util.SortedSet

    public class SynchronizedSortedSet

extends SynchronizedCollection
implements java.util.SortedSet

Decorates another `SortedSet` to synchronize its behaviour for a multi-threaded environment.

Methods are synchronized, then forwarded to the decorated set.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`collection, lock`

Constructor Summary
`protected` | `SynchronizedSortedSet(java.util.SortedSet set)` Constructor that wraps (not copies).
`protected` | `SynchronizedSortedSet(java.util.SortedSet set, java.lang.Object lock)` Constructor that wraps (not copies).

Method Summary
`java.util.Comparator` | `comparator()`
`static java.util.SortedSet` | `decorate(java.util.SortedSet set)` Factory method to create a synchronized set.
`java.lang.Object` | `first()`
`protected java.util.SortedSet` | `getSortedSet()` Gets the decorated set.
`java.util.SortedSet` | `headSet(java.lang.Object toElement)`
`java.lang.Object` | `last()`
`java.util.SortedSet` | `subSet(java.lang.Object fromElement, java.lang.Object toElement)`
`java.util.SortedSet` | `tailSet(java.lang.Object fromElement)`

Methods inherited from class org.apache.commons.collections.collection.SynchronizedCollection
`add, addAll, clear, contains, containsAll, decorate, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### SynchronizedSortedSet

    protected SynchronizedSortedSet(java.util.SortedSet set)

  Constructor that wraps (not copies).

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

### SynchronizedSortedSet

    protected SynchronizedSortedSet(java.util.SortedSet set,
                                    java.lang.Object lock)

  Constructor that wraps (not copies).

  Parameters:
    `set` - the set to decorate, must not be null
    `lock` - the lock object to use, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

Method Detail

### decorate

    public static java.util.SortedSet decorate(java.util.SortedSet set)

  Factory method to create a synchronized set.

  Parameters:
    `set` - the set to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set is null

### getSortedSet

    protected java.util.SortedSet getSortedSet()

  Gets the decorated set.

  Returns:
    the decorated set

### subSet

    public java.util.SortedSet subSet(java.lang.Object fromElement,
                                      java.lang.Object toElement)

  Specified by:
    `subSet` in interface `java.util.SortedSet`

### headSet

    public java.util.SortedSet headSet(java.lang.Object toElement)

  Specified by:
    `headSet` in interface `java.util.SortedSet`

### tailSet

    public java.util.SortedSet tailSet(java.lang.Object fromElement)

  Specified by:
    `tailSet` in interface `java.util.SortedSet`

### first

    public java.lang.Object first()

  Specified by:
    `first` in interface `java.util.SortedSet`

### last

    public java.lang.Object last()

  Specified by:
    `last` in interface `java.util.SortedSet`

### comparator

    public java.util.Comparator comparator()

  Specified by:
    `comparator` in interface `java.util.SortedSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.